import numpy as np

W = np.array( [[-0.1749245,   0.23141266],
               [ 0.47621194, -0.06937743],
               [-0.18914102, -0.20400558]] )

vb = np.array( [-1.0774506,   0.13140842, -0.08604983] )

# y = ( -wx x - b) / wy
def d( i, vx ) :
	v = W[i] @ vx + vb[i]
	return v[0]

vec = np.zeros ( (2,1) )
vm = np.zeros ( (3,) )

vec[0,0] = -2.31
vec[1,0] = 2.86

vm[0] = d( 0, vec )
vm[1] = d( 1, vec )
vm[2] = d( 2, vec )

print( vm )
print( np.argmax( vm ) )
